Page MenuHomePhabricator

Requesting access to WMF-NDA project for @XenoRyet
Closed, ResolvedPublic

Description

I have signed the NDA but I don't seem to be on the member list.

So requesting access for user @XenoRyet (Dylan Kozlowski).

Event Timeline

XenoRyet created this task.Jul 22 2016, 6:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 6:42 PM
Peachey88 added a subscriber: Peachey88.

I have signed the NDA but I don't seem to be on the member list.

Where and what type of NDA did you sign? As a staff/contract member? As a volunteer (If so what task number)?

As staff. Signed the one that came with my New Hire paperwork, would've been back in May of last year. I'm on the Fundraising Tech team, if that's relevant.

Thanks, and let me know if you need any other info.

Aklapper moved this task from Backlog to WMF Employees on the WMF-NDA-Requests board.

@XenoRyet:
Do I understand correctly that this request is about accessing WMF-NDA tasks in Phabricator?
Could you link your WMF SUL/OAuth account ("MediaWiki User") against https://phabricator.wikimedia.org/p/XenoRyet/ via https://phabricator.wikimedia.org/settings/user/XenoRyet/page/external/ please, so one could check your identity against your WMF account? Thanks!

Aklapper renamed this task from Requesting access to WMF-NDA project to Requesting access to WMF-NDA project for @XenoRyet.Jul 24 2016, 4:35 PM

@Aklapper: Yes, that's correct, I'm apparently just not in the appropriate Phabricator groups to see the phab tickets I need to see. I've got all the other access I need.

I didn't previously know that kind of account linking was a thing Phabricator did, but I believe I've got that bit set now. Let me know if there's anything else I can do to confirm my identity. And thank you for your attention to security and for helping me get this set up properly.

Hmmm... :(

WMF's guide states "Wiki accounts for new hires are generally created by Office IT". Also see WMF's onboarding docs. So while it is likely, I still cannot be sure that this account is really the account of a WMF employee, as the account was self-created. And no good idea how to proceed. :(

Aklapper triaged this task as Normal priority.Jul 25 2016, 7:31 AM

I'm not sure what the best way forward is either. I followed the onboarding instructions as best I could, but being new at the time I might have mucked them up, and this long after the fact I can't remember what exactly I did.

This whole thing was initiated by an email from @DStrine, maybe he has an idea about how to proceed. I'll ping him about that tomorrow.

In any case, this isn't blocking any of my work for the near future, so I'll bump it down to low priority for now.

XenoRyet lowered the priority of this task from Normal to Low.Jul 25 2016, 8:44 AM

Adding @K4-713, my manager, to the task to see if she can help verify my identity.

K4-713 added a comment.Aug 2 2016, 5:22 PM

@Aklapper: I can confirm that @XenoRyet is indeed who he says - He has been on the fundraising engineering team for a while now. Can I help unblock this?

XenoRyet raised the priority of this task from Low to Normal.Aug 3 2016, 10:37 PM
Aklapper closed this task as Resolved.Aug 5 2016, 5:10 PM
Aklapper claimed this task.

Thanks. @K4-713 is already part of WMF-NDA (account was added when we migrated from RT) and the process for non-staffers would also require a sign-off, so I don't think that I'd jeopardize security by adding @XenoRyet. Done.